﻿@page
@model UrlModifyApp.Pages.URLInfo.DetailsModel

@{
    ViewData["Title"] = "Details";
}

<h1>Details</h1>

<div>
    <h4>UrlinfoModel</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.UrlinfoModel.LongUrl)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.UrlinfoModel.LongUrl)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.UrlinfoModel.ShortUrl)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.UrlinfoModel.ShortUrl)
        </dd>
    </dl>
</div>
<div>
    <a asp-page="./Edit" asp-route-id="@Model.UrlinfoModel.Id">Edit</a> |
    <a asp-page="./Index">Back to List</a>
</div>